Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class JaxbTaskData

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject<TaskData>
          org.jbpm.services.task.impl.model.xml.JaxbTaskData

All Implemented Interfaces:
  Externalizable, Serializable, TaskData

    public class JaxbTaskData

extends AbstractJaxbTaskObject<TaskData>
implements TaskData

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject
`realClass`

Constructor Summary
`JaxbTaskData()`
`JaxbTaskData(TaskData taskData)`

Method Summary
`Date` | `getActivationTime()`
`User` | `getActualOwner()`
`List<Attachment>` | `getAttachments()`
`List<Comment>` | `getComments()`
`User` | `getCreatedBy()`
`Date` | `getCreatedOn()`
`String` | `getDeploymentId()`
`long` | `getDocumentContentId()`
`String` | `getDocumentType()`
`Date` | `getExpirationTime()`
`long` | `getFaultContentId()`
`String` | `getFaultName()`
`String` | `getFaultType()`
`long` | `getOutputContentId()`
`String` | `getOutputType()`
`long` | `getParentId()`
`Status` | `getPreviousStatus()`
`String` | `getProcessId()`
`long` | `getProcessInstanceId()`
`int` | `getProcessSessionId()`
`Status` | `getStatus()`
`long` | `getWorkItemId()`
`boolean` | `isSkipable()`

Methods inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject
`readExternal, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Externalizable
`readExternal, writeExternal`

Constructor Detail

### JaxbTaskData

    public JaxbTaskData()

### JaxbTaskData

    public JaxbTaskData(TaskData taskData)

Method Detail

### getStatus

    public Status getStatus()

  Specified by:
    `getStatus` in interface `TaskData`

### getPreviousStatus

    public Status getPreviousStatus()

  Specified by:
    `getPreviousStatus` in interface `TaskData`

### getActualOwner

    public User getActualOwner()

  Specified by:
    `getActualOwner` in interface `TaskData`

### getCreatedBy

    public User getCreatedBy()

  Specified by:
    `getCreatedBy` in interface `TaskData`

### getCreatedOn

    public Date getCreatedOn()

  Specified by:
    `getCreatedOn` in interface `TaskData`

### getActivationTime

    public Date getActivationTime()

  Specified by:
    `getActivationTime` in interface `TaskData`

### getExpirationTime

    public Date getExpirationTime()

  Specified by:
    `getExpirationTime` in interface `TaskData`

### isSkipable

    public boolean isSkipable()

  Specified by:
    `isSkipable` in interface `TaskData`

### getWorkItemId

    public long getWorkItemId()

  Specified by:
    `getWorkItemId` in interface `TaskData`

### getProcessInstanceId

    public long getProcessInstanceId()

  Specified by:
    `getProcessInstanceId` in interface `TaskData`

### getProcessId

    public String getProcessId()

  Specified by:
    `getProcessId` in interface `TaskData`

### getProcessSessionId

    public int getProcessSessionId()

  Specified by:
    `getProcessSessionId` in interface `TaskData`

### getDocumentType

    public String getDocumentType()

  Specified by:
    `getDocumentType` in interface `TaskData`

### getDocumentContentId

    public long getDocumentContentId()

  Specified by:
    `getDocumentContentId` in interface `TaskData`

### getOutputType

    public String getOutputType()

  Specified by:
    `getOutputType` in interface `TaskData`

### getOutputContentId

    public long getOutputContentId()

  Specified by:
    `getOutputContentId` in interface `TaskData`

### getFaultName

    public String getFaultName()

  Specified by:
    `getFaultName` in interface `TaskData`

### getFaultType

    public String getFaultType()

  Specified by:
    `getFaultType` in interface `TaskData`

### getFaultContentId

    public long getFaultContentId()

  Specified by:
    `getFaultContentId` in interface `TaskData`

### getComments

    public List<Comment> getComments()

  Specified by:
    `getComments` in interface `TaskData`

### getAttachments

    public List<Attachment> getAttachments()

  Specified by:
    `getAttachments` in interface `TaskData`

### getParentId

    public long getParentId()

  Specified by:
    `getParentId` in interface `TaskData`

### getDeploymentId

    public String getDeploymentId()

  Specified by:
    `getDeploymentId` in interface `TaskData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.